Commit 60dbf73e authored by Jakub Jirutka's avatar Jakub Jirutka

community/tg: build with lua5.3 instead of lua5.2

parent e550ebe2
......@@ -2,14 +2,14 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=tg
pkgver=1.3.1
pkgrel=7
pkgrel=8
_tglver=2.0.1
_tlparserver=0_git20151118
pkgdesc="Command line Telegram client"
url="https://github.com/vysheng/tg"
arch="all !s390x"
license="GPL-3.0"
depends_dev="readline-dev libressl-dev libconfig-dev libevent-dev jansson-dev lua5.2-dev"
depends_dev="readline-dev libressl-dev libconfig-dev libevent-dev jansson-dev lua5.3-dev"
makedepends="$depends_dev zlib-dev grep"
provides="telegram-cli"
source="$pkgname-$pkgver.tar.gz::https://github.com/vysheng/tg/archive/$pkgver.tar.gz
......@@ -35,9 +35,9 @@ prepare() {
build() {
cd "$builddir"
export LUA=/usr/bin/lua5.2
export LUA_INCLUDE=-I/usr/include/lua5.2
export LUA_LIB=$(pkg-config --libs lua5.2)
export LUA=/usr/bin/lua5.3
export LUA_INCLUDE=-I/usr/include/lua5.3
export LUA_LIB=$(pkg-config --libs lua5.3)
./configure \
--prefix=/usr \
--sysconfdir=/etc \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment